<template>
  <section class="AppScorePersonal">
    <component :is="currentComponent" :instance="instance" :dict="dict" :permissions="permissions"/>
  </section>
</template>

<script>
import detail from './detail'
import SpList from "./spList";

export default {
  name: 'AppScorePersonal',
  label: "积分统计(秀山)",
  components: {SpList, detail},
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  computed: {
    currentComponent() {
      return this.$route.query.id ? detail : SpList
    }
  },
  created() {
    this.dict.load('integralVillageGroup', 'integralRuleStatus', 'integralPersonType', 'householdRelation', 'residentType', "integralDetailType");
  }
}
</script>

<style lang="scss" scoped>
.AppScorePersonal {
  height: 100%;
}
</style>
